with GNATCOM.Dispinterface;

package MSHTML.IHTMLScriptElement_Interface is

   type IHTMLScriptElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLScriptElement_Type);

   function Pointer (This : IHTMLScriptElement_Type)
     return Pointer_To_IHTMLScriptElement;

   procedure Attach (This    : in out IHTMLScriptElement_Type;
                     Pointer : in     Pointer_To_IHTMLScriptElement);

   procedure Put_src
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_htmlFor
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_htmlFor
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_event
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_event
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_text
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_text
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_defer
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_defer
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_readyState
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_onerror
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_type
     (This : IHTMLScriptElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLScriptElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLScriptElement_Interface;

